package sgc.portal.co.co0105.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.co0105.dto.CO01050001USearch;
import sgc.portal.co.co0105.service.CO01050001UService;

@RestController
@RequestMapping("/co/co0105")
public class CO01050001UController {
    private final CO01050001UService service;

    public CO01050001UController(CO01050001UService service) {
        this.service = service;
    }

    @PostMapping("/CO01050001U/list1")
    public List<EasyHashMap<String, Object>> getList1(@RequestBody CO01050001USearch search) {
        return service.getList1(search);
    }
    
    @PostMapping("/CO01050001U/list2")
    public List<EasyHashMap<String, Object>> getList2(@RequestBody CO01050001USearch search) {
        return service.getList2(search);
    }
    
    @PostMapping("/CO01050001U/list3")
    public List<EasyHashMap<String, Object>> getList3(@RequestBody CO01050001USearch search) {
        return service.getList3(search);
    }

}
